Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP POST

POST queues/:id/schedule_call

Ostatnia modyfikacja 2026-05-18 13:56:05
Zaplanowanie połączenia, które zostanie wykonane w kolejce.

URL

https://your-system-name.thulium.com/api/queues/:id/schedule_call

Parametry

id

wymagany

Identyfikator kolejki. Przykładowa wartość: 2
phone_number

wymagany

Numer telefonu na który zostanie wykonane połączenie. Przykładowa wartość: 500333222
call_at

opcjonalny

Data połączenia. Domyślnie data wywołania. Przykładowa wartość: 2020-11-06 14:42:11

Przykładowy request

POST https://your-system-name.thulium.com/api/queues/2/schedule_call
Dane {"phone_number":"500333222","call_at":"2020-11-06 14:42:11"}

Przykładowy response

<!-- pusty -->

Przykładowe wywołanie


PHP
<?php
$data = '{"phone_number":"500333222","call_at":"2020-11-06 14:42:11"}';

$request = curl_init('https://your-system-name.thulium.com/api/queues/2/schedule_call');
curl_setopt($request, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json; charset=utf-8',
    'Content-Length: ' . mb_strlen($data)
));
curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass');
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($request, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.post("https://your-system-name.thulium.com/api/queues/2/schedule_call", "{\"phone_number\":\"500333222\",\"call_at\":\"2020-11-06 14:42:11\"}");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X POST -H "Content-type: application/json" -d '{"phone_number":"500333222","call_at":"2020-11-06 14:42:11"}' "https://your-system-name.thulium.com/api/queues/2/schedule_call"

HTTPie
echo '{"phone_number":"500333222","call_at":"2020-11-06 14:42:11"}' | http -a api_user:api_pass POST https://your-system-name.thulium.com/api/queues/2/schedule_call